通讯经销商
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选 线条 | 搜索链条。 |
| search_by | 可选 线条 | 您正在寻找哪个字段?允许值是: name. |
| is_enabled | 可选 布莱恩 | |
| type | 可选 线条 | 您正在寻找哪个字段?允许值是: . |
| datetime_field | 可选 线条 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 线条 | 过滤结果从此日期开始。 Y-m-d H:i:s 格式。 |
| datetime_end | 可选 线条 | 过滤到此日期。 Y-m-d H:i:s 格式。 |
| order_by | 可选 线条 | 哪个字段可以订购结果? 允许值是: notification_handler_id, datetime, last_datetime, name. |
| order_type | 可选 线条 | 命令结果. 允许的值是: ASC 以便上涨的命令,以及 DESC 下降命令。 |
| search | 可选 线条 | 搜索链条。 |
| search_by | 可选 线条 | 您正在寻找哪个字段?允许值是: name. |
| is_enabled | 可选 布莱恩 | |
| type | 可选 线条 | 您正在寻找哪个字段?允许值是: . |
| datetime_field | 可选 线条 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 线条 | 过滤结果从此日期开始。 Y-m-d H:i:s 格式。 |
| datetime_end | 可选 线条 | 过滤到此日期。 Y-m-d H:i:s 格式。 |
| order_by | 可选 线条 | 哪个字段可以订购结果? 允许值是: notification_handler_id, datetime, last_datetime, name. |
| order_type | 可选 线条 | 命令结果. 允许的值是: ASC 以便上涨的命令,以及 DESC 下降命令。 |
| page | 可选 全集 | 您想要的页面号码 结果从. 缺点到 1. |
| results_per_page | 可选 全集 | 每页需要多少结果?允许值是: 10, 25, 50, 100, 250, 500, 1000. 缺陷到 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:40:03",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:40:03",
}
}
POST https://0o0.online/api/notification-handlers
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 必填 线条 | - |
| type | 必填 线条 | 允许的值: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选 线条 | - |
| type | 可选 线条 | 允许的值: |
| is_enabled | 可选 布莱恩 | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \